%define Name docbook-style-dsssl
%define Version 1.78

Name:		%{Name}
Version:	%{Version}
Release:	5mdk
Group       	: Publishing

Summary     	: Norman Walsh\'s modular stylesheets for DocBook.

License   	: Distributable
URL         	: http://sourceforge.net/projects/docbook/

Prereq		: sgml-common >= 0.2
Prereq		: jade >= 1.2.1

BuildRoot   	: %{_tmppath}/%{name}-buildroot 

BuildArch	: noarch
Source0		: http://prdownloads.sourceforge.net/docbook/docbook-dsssl-%{Version}.tar.bz2
Patch0:               docbook-dsssl-1.78-DTDDECL.patch.bz2

%define sgmlbase %{_datadir}/sgml

%description
These DSSSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or PostScript) or online (for example, HTML) format.
They are highly customizable.


%prep
%setup -n docbook-dsssl-%{Version} -q
%setup -T -D -n docbook-dsssl-%{Version}
%patch -p1

%build

%install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR%{_bindir}
mkdir -p $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/

cd $RPM_BUILD_DIR/docbook-dsssl-%{Version}

install bin/collateindex.pl $DESTDIR%{_bindir}
cp -r contrib catalog dtds VERSION olink common html frames lib print images $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/

ln -sf dsssl-stylesheets-%{Version} $DESTDIR%{sgmlbase}/docbook/dsssl-stylesheets

cd ..


%clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Files
%defattr (0644,root,root,0755)
%doc BUGS TODO README
%doc ChangeLog WhatsNew
%attr(-,root,root) %{_bindir}/collateindex.pl
%dir %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}
%{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/*
%{sgmlbase}/docbook/dsssl-stylesheets

%post
# remove possible old references to 
# %{sgmlbase}/docbook/dsssl-stylesheets-%{Version}/catalog
rm -f %{_sysconfdir}/sgml/sgml-docbook-\*.cat

# fix old broken stuff
if [ -f %{_sysconfdir}/sgml/xml-docbook-\*.cat ]; then
	sed -e '\|CATALOG "%{_sysconfdir}/sgml/xml-docbook-\*.cat"|D' %{_sysconfdir}/sgml/catalog > \
	%{_sysconfdir}/sgml/catalog.bak 
    mv -f %{_sysconfdir}/sgml/catalog.bak %{_sysconfdir}/sgml/catalog
    rm -f %{_sysconfdir}/sgml/xml-docbook-\*.cat
fi

for centralized in %{_sysconfdir}/sgml/sgml-docbook-*.cat; do
   if [ "$centralized" = "%{_sysconfdir}/sgml/sgml-docbook-*.cat" ]; then break; fi
   sed -e "/dsssl-stylesheets-[0-9]/D" $centralized > \
	 $centralized.bak 
   mv -f $centralized.bak $centralized
done 

for centralized in %{_sysconfdir}/sgml/{sgml,xml}-docbook-*.cat; do
  if [ "$centralized" = "%{_sysconfdir}/sgml/{sgml,xml}-docbook-*.cat" ]; then break; fi
  if [ "$centralized" = "%{_sysconfdir}/sgml/xml-docbook-*.cat" ]; then continue; fi
  if [ "$centralized" = "%{_sysconfdir}/sgml/sgml-docbook-*.cat" ]; then continue; fi
  if [ -f "$centralized" ]; then
     %{_bindir}/xmlcatalog --sgml --noout --add $centralized \
	 %{sgmlbase}/docbook/dsssl-stylesheets/catalog
   fi
done

%postun 
# Do not remove if upgrade
if [ "$1" = "0" ]; then
     for centralized in %{_sysconfdir}/sgml/{sgml,xml}-docbook-*.cat; do
      if  [ "$centralized" = "%{_sysconfdir}/sgml/{sgml,xml}-docbook-*.cat" ]; then break; fi
      if  [ "$centralized" = "%{_sysconfdir}/sgml/xml-docbook-*.cat" ]; then continue; fi
      if  [ "$centralized" = "%{_sysconfdir}/sgml/sgml-docbook-*.cat" ]; then continue; fi

	  %{_bindir}/xmlcatalog --sgml --noout --del $centralized \
	     %{sgmlbase}/docbook/dsssl-stylesheets/catalog
     done 
    
fi


%changelog
* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.78-5mdk
- Fix install when more than one dtd package is installed

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.78-4mdk
- Fix install when no sgml dtd package is installed

* Tue May 13 2003  <camille@ke.mandrakesoft.com> 1.78-3mdk
- Added a patch to remove unsupported DTDDECL entry in catalog
- removed unneeded 'Requires: docbook-dtd-sgml'

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.78-2mdk
- Remove xml-docbook-*.cat wrongly created
 
* Wed Mar 19 2003  <camille@ke.mandrakesoft.com> 1.78-1mdk
- 1.78
- Simplify installation not to forget any addition to the archive
- Fix file permissions

* Fri Jan 17 2003  <camille@ke.mandrakesoft.com> 
- add catalog to docbook xml too 

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.77-3mdk
- doc is a separate tarball, let split it out of that package, we don't need
  to upload all when only one is altered

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.77-2mdk
- fix doc subpackage group

* Tue Jul 16 2002 Camille Begnis <camille@mandrakesoft.com> 1.77-1mdk
- 1.77

* Tue Mar 21 2002 Camille Begnis <camille@mandrakesoft.com> 1.76-1mdk
- 1.76
- add crapy code in Post to remove buggy catalogs

* Mon Feb 21 2002 Camille Begnis <camille@mandrakesoft.com> 1.75-1mdk
- 1.75
- in catalogs now we assume only one dsssl stylesheet is installed

* Mon Dec 03 2001 Camille Begnis <camille@mandrakesoft.com> 1.74b-1mdk
- 1.74b

* Thu Nov 29 2001 Camille Begnis <camille@mandrakesoft.com> 1.74-1mdk
- 1.74

* Thu Oct 25 2001 Camille Begnis <camille@mandrakesoft.com> 1.73-1mdk
- 1.73

* Thu Aug 23 2001 Camille Begnis <camille@mandrakesoft.com> 1.72-1mdk
- 1.72
- Now on sourceforge

* Mon Apr 30 2001 Camille Begnis <camille@mandrakesoft.com> 1.64-1mdk
- 1.64

* Tue Mar 13 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-4mdk
- Redirect install-catalog output to /dev/null

* Thu Feb 22 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-3mdk
- The last change was to add a link from %{sgmlbase}/docbook/dsssl-stylesheets
  to dsssl-stylesheets-%{Version} 

* Mon Feb 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-2mdk
- Add a 

* Tue Jan 30 2001 Camille Begnis <camille@mandrakesoft.com> 1.62-1mdk
- 1.62

* Mon Jan 29 2001 Camille Begnis <camille@mandrakesoft.com> 1.61-1mdk
- 1.61

* Fri Jan 05 2001 Camille Begnis <camille@mandrakesoft.com> 1.60-2mdk
- remove management of openjade catalogs (why the hell it was here???)

* Wed Jan 03 2001 Camille Begnis <camille@mandrakesoft.com> 1.60-1mdk
- 1.60

* Mon Nov 20 2000 Camille Begnis <camille@mandrakesoft.com> 1.59-1mdk
- 1.59
- improve upgrading scripts

* Wed Aug 30 2000 Camille Begnis <camille@mandrakesoft.com> 1.57-1mdk
- 1.57

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-3mdk
- Prereq : sgml-common >= 0.2

* Thu Aug 24 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-2mdk
- install openjade's catalog, not jade's

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 1.56-1mdk
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance
